<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>I-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: I">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html#id" class="member-name-link">id</a> - Variable in class com.eoi.springwebsecurity.coreapp.dto.<a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/Role.html#id" class="member-name-link">id</a> - Variable in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/Role.html" title="class in com.eoi.springwebsecurity.coreapp.entities">Role</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html#id" class="member-name-link">id</a> - Variable in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html#id" class="member-name-link">id</a> - Variable in class com.eoi.springwebsecurity.filemanagement.entities.<a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html" title="class in com.eoi.springwebsecurity.filemanagement.entities">FileDB</a></dt>
<dd>
<div class="block">Identificador único del archivo, generado automáticamente.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#index(java.security.Principal)" class="member-name-link">index(Principal)</a> - Method in class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>
<div class="block">Index string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html#init()" class="member-name-link">init()</a> - Method in interface com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a></dt>
<dd>
<div class="block">Inicializa el servicio de almacenamiento.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html#init()" class="member-name-link">init()</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a></dt>
<dd>
<div class="block">Inicializa el directorio de almacenamiento de archivos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#isAccountNonExpired()" class="member-name-link">isAccountNonExpired()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Indicates whether the user's account has expired.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#isAccountNonLocked()" class="member-name-link">isAccountNonLocked()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Indicates whether the user is locked or unlocked.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#isCredentialsNonExpired()" class="member-name-link">isCredentialsNonExpired()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Indicates whether the user's credentials (password) has expired.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#isEnabled()" class="member-name-link">isEnabled()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Indicates whether the user is enabled or disabled.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
